<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_11_addcontent() */
/* タブのスラグ haumenu_define_tab_slug_11_addcontent() */
/* $option_name 設定名 haumenu_define_option_name_11_addcontent() */
/* get_option GetOP11_addcontent() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_11_addcontent( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_addcontent';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_11_addcontent();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		//$set_name . 'use-top-home-scroll' => array(
			//'.home-top-button-align-wrapper',
		//),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_11_addcontent', 20 );

/*** パンくずリストを有効化 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_enable_breadcrumb(){
//項目の追加
	add_settings_field(
		'enable-breadcrumb', // 設定名
		__('Enable Breadcrumb','hima-art-utility'), // 設定タイトル
		'haumenu_enable_breadcrumb', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_11_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_11_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_enable_breadcrumb' );

/* 入力フォーム */
function haumenu_enable_breadcrumb() {
	$set_name = haumenu_define_option_name_11_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'enable-breadcrumb'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Load the breadcrumb program and CSS','hima-art-utility'); ?></p>
	</label>
<?php
}

/*** パンくずリストを自動出力 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_auto_output_breadcrumb(){
//項目の追加
	add_settings_field(
		'auto-output-breadcrumb', // 設定名
		__('Automatically output to the beginning of the text','hima-art-utility'), // 設定タイトル
		'haumenu_auto_output_breadcrumb', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_11_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_11_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_auto_output_breadcrumb' );

/* 入力フォーム */
function haumenu_auto_output_breadcrumb() {
	$set_name = haumenu_define_option_name_11_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'auto-output-breadcrumb'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Automatically output breadcrumbs at the beginning of all posts','hima-art-utility'); ?></p>
</label>
<?php
}